#include "modules.h"
#include <configparser.h>

Modules::Modules()
{

}

QSet<QString> Modules::qtLibs() {
    TestUtils utils;

    auto Tree = utils.createTree(
    {
                    "./" + DISTRO_DIR + "/QtWidgetsProject.sh",
                    "./" + DISTRO_DIR + "/bin/QtWidgetsProject",
                    "./" + DISTRO_DIR + "/lib/libQt5Core.so",
                    "./" + DISTRO_DIR + "/lib/libQt5DBus.so",
                    "./" + DISTRO_DIR + "/lib/libQt5EglFSDeviceIntegration.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Gui.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Network.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Qml.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Quick.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Svg.so",
                    "./" + DISTRO_DIR + "/lib/libQt5VirtualKeyboard.so",
                    "./" + DISTRO_DIR + "/lib/libQt5WaylandClient.so",
                    "./" + DISTRO_DIR + "/lib/libQt5WaylandCompositor.so",
                    "./" + DISTRO_DIR + "/lib/libQt5WebSockets.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Widgets.so",
                    "./" + DISTRO_DIR + "/lib/libQt5XcbQpa.so",
                    "./" + DISTRO_DIR + "/lib/libicudata.so",
                    "./" + DISTRO_DIR + "/lib/libicui18n.so",
                    "./" + DISTRO_DIR + "/lib/libicuuc.so",
                    "./" + DISTRO_DIR + "/plugins/iconengines/libqsvgicon.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqgif.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqicns.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqico.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqjpeg.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqsvg.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqtga.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqtiff.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqwbmp.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqwebp.so",
                    "./" + DISTRO_DIR + "/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so",
                    "./" + DISTRO_DIR + "/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so",
                    "./" + DISTRO_DIR + "/plugins/platforminputcontexts/libqtvirtualkeyboardplugin.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqeglfs.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqlinuxfb.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqminimal.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqminimalegl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqoffscreen.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqvnc.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-egl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-generic.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-xcomposite-egl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-xcomposite-glx.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwebgl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqxcb.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_hangul.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_openwnn.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_pinyin.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_tcime.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_thai.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-decoration-client/libbradient.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libdmabuf-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libdrm-egl-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libqt-plugin-wayland-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libshm-emulation-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libxcomposite-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libxcomposite-glx.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libdmabuf-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libdrm-egl-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/liblinux-dmabuf-unstable-v1.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libqt-plugin-wayland-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libshm-emulation-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libwayland-eglstream-controller.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libxcomposite-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libxcomposite-glx.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libfullscreen-shell-v1.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libivi-shell.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libwl-shell.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libxdg-shell-v5.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libxdg-shell-v6.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libxdg-shell.so",
                    "./" + DISTRO_DIR + "/plugins/xcbglintegrations/libqxcb-egl-integration.so",
                    "./" + DISTRO_DIR + "/plugins/xcbglintegrations/libqxcb-glx-integration.so",
                    "./" + DISTRO_DIR + "/translations/qtbase_ar.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_bg.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_ca.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_cs.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_da.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_de.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_en.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_es.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_fi.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_fr.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_gd.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_he.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_hu.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_it.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_ja.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_ko.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_lv.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_pl.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_ru.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_sk.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_uk.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_zh_TW.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_bg.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_da.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_de.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_en.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_es.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_fi.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_fr.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_hu.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_ja.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_ko.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_lv.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_pl.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_ru.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_sk.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_uk.qm"
                }
                );

    return Tree;
}

QSet<QString> Modules::qmlLibs() {
    TestUtils utils;

#ifdef Q_OS_WIN
    auto tree = utils.createTree(
    {
    });
#else


    auto tree = utils.createTree(
    {
                    "./" + DISTRO_DIR + "/TestQMLWidgets.sh",
                    "./" + DISTRO_DIR + "/bin/TestQMLWidgets",
                    "./" + DISTRO_DIR + "/lib/libQt5Core.so",
                    "./" + DISTRO_DIR + "/lib/libQt5DBus.so",
                    "./" + DISTRO_DIR + "/lib/libQt5EglFSDeviceIntegration.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Gui.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Network.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Qml.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Quick.so",
                    "./" + DISTRO_DIR + "/lib/libQt5QuickControls2.so",
                    "./" + DISTRO_DIR + "/lib/libQt5QuickTemplates2.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Svg.so",
                    "./" + DISTRO_DIR + "/lib/libQt5VirtualKeyboard.so",
                    "./" + DISTRO_DIR + "/lib/libQt5WaylandClient.so",
                    "./" + DISTRO_DIR + "/lib/libQt5WaylandCompositor.so",
                    "./" + DISTRO_DIR + "/lib/libQt5WebSockets.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Widgets.so",
                    "./" + DISTRO_DIR + "/lib/libQt5XcbQpa.so",
                    "./" + DISTRO_DIR + "/lib/libicudata.so",
                    "./" + DISTRO_DIR + "/lib/libicui18n.so",
                    "./" + DISTRO_DIR + "/lib/libicuuc.so",
                    "./" + DISTRO_DIR + "/plugins/bearer/libqconnmanbearer.so",
                    "./" + DISTRO_DIR + "/plugins/bearer/libqgenericbearer.so",
                    "./" + DISTRO_DIR + "/plugins/bearer/libqnmbearer.so",
                    "./" + DISTRO_DIR + "/plugins/iconengines/libqsvgicon.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqgif.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqicns.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqico.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqjpeg.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqsvg.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqtga.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqtiff.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqwbmp.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqwebp.so",
                    "./" + DISTRO_DIR + "/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so",
                    "./" + DISTRO_DIR + "/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so",
                    "./" + DISTRO_DIR + "/plugins/platforminputcontexts/libqtvirtualkeyboardplugin.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqeglfs.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqlinuxfb.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqminimal.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqminimalegl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqoffscreen.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqvnc.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-egl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-generic.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-xcomposite-egl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-xcomposite-glx.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwebgl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqxcb.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_hangul.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_openwnn.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_pinyin.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_tcime.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_thai.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-decoration-client/libbradient.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libdmabuf-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libdrm-egl-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libqt-plugin-wayland-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libshm-emulation-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libxcomposite-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libxcomposite-glx.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libdmabuf-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libdrm-egl-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/liblinux-dmabuf-unstable-v1.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libqt-plugin-wayland-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libshm-emulation-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libwayland-eglstream-controller.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libxcomposite-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libxcomposite-glx.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libfullscreen-shell-v1.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libivi-shell.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libwl-shell.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libxdg-shell-v5.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libxdg-shell-v6.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libxdg-shell.so",
                    "./" + DISTRO_DIR + "/plugins/xcbglintegrations/libqxcb-egl-integration.so",
                    "./" + DISTRO_DIR + "/plugins/xcbglintegrations/libqxcb-glx-integration.so",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/Blend.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/BrightnessContrast.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/ColorOverlay.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/Colorize.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/ConicalGradient.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/Desaturate.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/DirectionalBlur.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/Displace.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/DropShadow.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/FastBlur.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/GammaAdjust.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/GaussianBlur.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/Glow.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/HueSaturation.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/InnerShadow.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/LevelAdjust.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/LinearGradient.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/MaskedBlur.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/OpacityMask.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/RadialBlur.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/RadialGradient.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/RectangularGlow.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/RecursiveBlur.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/ThresholdMask.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/ZoomBlur.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/libqtgraphicaleffectsplugin.so",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/plugins.qmltypes",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/DropShadowBase.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/DropShadowBase.qmlc",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/FastGlow.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/FastGlow.qmlc",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/FastInnerShadow.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/FastInnerShadow.qmlc",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/FastMaskedBlur.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/FastMaskedBlur.qmlc",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/GaussianDirectionalBlur.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/GaussianDirectionalBlur.qmlc",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/GaussianGlow.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/GaussianGlow.qmlc",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/GaussianInnerShadow.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/GaussianInnerShadow.qmlc",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/GaussianMaskedBlur.qml",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/GaussianMaskedBlur.qmlc",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/libqtgraphicaleffectsprivate.so",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/private/qmldir",
                    "./" + DISTRO_DIR + "/qml/QtGraphicalEffects/qmldir",
                    "./" + DISTRO_DIR + "/qml/QtQuick.2/libqtquick2plugin.so",
                    "./" + DISTRO_DIR + "/qml/QtQuick.2/plugins.qmltypes",
                    "./" + DISTRO_DIR + "/qml/QtQuick.2/qmldir",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/AbstractButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Action.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ActionGroup.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ApplicationWindow.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/BusyIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Button.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ButtonGroup.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/CheckBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/CheckDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ComboBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Container.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Control.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/DelayButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Dial.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Dialog.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/DialogButtonBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Drawer.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Frame.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/ApplicationWindow.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/BusyIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Button.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/ButtonPanel.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/CheckBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/CheckDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/CheckIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/ComboBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/DelayButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Dial.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Dialog.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/DialogButtonBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Drawer.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Frame.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/GroupBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/ItemDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Label.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Menu.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/MenuBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/MenuBarItem.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/MenuItem.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/MenuSeparator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Page.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/PageIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Pane.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Popup.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/ProgressBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/RadioButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/RadioDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/RadioIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/RangeSlider.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/RoundButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/ScrollBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/ScrollIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Slider.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/SliderGroove.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/SliderHandle.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/SpinBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/SplitView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/SwipeDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Switch.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/SwitchDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/SwitchIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/TabBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/TabButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/TextArea.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/TextField.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/ToolBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/ToolButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/ToolSeparator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/ToolTip.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/Tumbler.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/libqtquickcontrols2fusionstyleplugin.so",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/plugins.qmltypes",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Fusion/qmldir",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/GroupBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/ApplicationWindow.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/BusyIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Button.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/CheckBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/CheckDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/ComboBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/DelayButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Dial.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Dialog.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/DialogButtonBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Drawer.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Frame.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/GroupBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/ItemDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Label.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Menu.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/MenuItem.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/MenuSeparator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Page.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/PageIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Pane.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Popup.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/ProgressBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/RadioButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/RadioDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/RangeSlider.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/RoundButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/ScrollBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/ScrollIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Slider.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/SpinBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/SplitView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/StackView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/SwipeDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/SwipeView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Switch.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/SwitchDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/TabBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/TabButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/TextArea.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/TextField.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/ToolBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/ToolButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/ToolSeparator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/ToolTip.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/Tumbler.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/libqtquickcontrols2imaginestyleplugin.so",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/plugins.qmltypes",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Imagine/qmldir",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ItemDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Label.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/ApplicationWindow.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/BoxShadow.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/BusyIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Button.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/CheckBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/CheckDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/CheckIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/ComboBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/CursorDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/DelayButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Dial.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Dialog.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/DialogButtonBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Drawer.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/ElevationEffect.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Frame.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/GroupBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/ItemDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Label.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Menu.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/MenuBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/MenuBarItem.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/MenuItem.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/MenuSeparator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Page.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/PageIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Pane.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Popup.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/ProgressBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/RadioButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/RadioDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/RadioIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/RangeSlider.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/RectangularGlow.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/RoundButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/ScrollBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/ScrollIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Slider.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/SliderHandle.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/SpinBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/SplitView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/StackView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/SwipeDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/SwipeView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Switch.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/SwitchDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/SwitchIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/TabBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/TabButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/TextArea.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/TextField.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/ToolBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/ToolButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/ToolSeparator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/ToolTip.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/Tumbler.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/libqtquickcontrols2materialstyleplugin.so",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/plugins.qmltypes",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Material/qmldir",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Menu.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/MenuBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/MenuBarItem.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/MenuItem.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/MenuSeparator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Page.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/PageIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Pane.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Popup.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ProgressBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/RadioButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/RadioDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/RangeSlider.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/RoundButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ScrollBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ScrollIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ScrollView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Slider.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/SpinBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/SplitView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/StackView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/SwipeDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/SwipeView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Switch.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/SwitchDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/TabBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/TabButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/TextArea.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/TextField.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ToolBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ToolButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ToolSeparator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/ToolTip.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Tumbler.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/ApplicationWindow.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/BusyIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Button.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/CheckBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/CheckDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/CheckIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/ComboBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/DelayButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Dial.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Dialog.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/DialogButtonBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Drawer.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Frame.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/GroupBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/ItemDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Label.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Menu.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/MenuBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/MenuBarItem.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/MenuItem.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/MenuSeparator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Page.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/PageIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Pane.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Popup.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/ProgressBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/RadioButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/RadioDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/RadioIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/RangeSlider.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/RoundButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/ScrollBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/ScrollIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Slider.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/SpinBox.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/SplitView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/StackView.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/SwipeDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Switch.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/SwitchDelegate.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/SwitchIndicator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/TabBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/TabButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/TextArea.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/TextField.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/ToolBar.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/ToolButton.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/ToolSeparator.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/ToolTip.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/Tumbler.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/libqtquickcontrols2universalstyleplugin.so",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/plugins.qmltypes",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/Universal/qmldir",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/AbstractButtonSection.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/BusyIndicatorSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ButtonSection.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ButtonSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/CheckBoxSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/CheckDelegateSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/CheckSection.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ComboBoxSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ContainerSection.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ControlSection.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ControlSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/DelayButtonSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/DialSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/FrameSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/GroupBoxSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ItemDelegateSection.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ItemDelegateSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/LabelSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/PaddingSection.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/PageIndicatorSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/PageSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/PaneSection.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/PaneSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ProgressBarSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/RadioButtonSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/RadioDelegateSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/RangeSliderSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/RoundButtonSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ScrollViewSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/SliderSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/SpinBoxSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/StackViewSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/SwipeDelegateSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/SwipeViewSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/SwitchDelegateSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/SwitchSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/TabBarSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/TabButtonSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/TextAreaSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/TextFieldSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ToolBarSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ToolButtonSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/ToolSeparatorSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/TumblerSpecifics.qml",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/busyindicator-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/busyindicator-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/busyindicator-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/button-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/button-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/button-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/checkbox-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/checkbox-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/checkbox-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/combobox-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/combobox-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/combobox-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/delaybutton-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/delaybutton-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/delaybutton-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/dial-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/dial-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/dial-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/frame-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/frame-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/frame-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/groupbox-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/groupbox-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/groupbox-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/itemdelegate-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/itemdelegate-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/itemdelegate-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/label-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/label-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/label-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/page-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/page-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/page-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/pageindicator-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/pageindicator-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/pageindicator-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/pane-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/pane-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/pane-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/progressbar-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/progressbar-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/progressbar-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/radiobutton-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/radiobutton-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/radiobutton-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/rangeslider-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/rangeslider-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/rangeslider-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/roundbutton-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/roundbutton-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/roundbutton-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/scrollview-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/scrollview-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/scrollview-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/slider-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/slider-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/slider-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/spinbox-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/spinbox-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/spinbox-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/stackview-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/stackview-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/stackview-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/swipeview-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/swipeview-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/swipeview-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/switch-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/switch-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/switch-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/textarea-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/textarea-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/textarea-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/textfield-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/textfield-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/textfield-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/toolbar-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/toolbar-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/toolbar-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/toolbutton-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/toolbutton-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/toolbutton-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/toolseparator-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/toolseparator-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/toolseparator-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/tumbler-icon.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/tumbler-icon16.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/images/tumbler-icon@2x.png",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/designer/qtquickcontrols2.metainfo",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/libqtquickcontrols2plugin.so",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/plugins.qmltypes",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Controls.2/qmldir",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Layouts/libqquicklayoutsplugin.so",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Layouts/plugins.qmltypes",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Layouts/qmldir",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Templates.2/libqtquicktemplates2plugin.so",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Templates.2/plugins.qmltypes",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Templates.2/qmldir",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Window.2/libwindowplugin.so",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Window.2/plugins.qmltypes",
                    "./" + DISTRO_DIR + "/qml/QtQuick/Window.2/qmldir",
                    "./" + DISTRO_DIR + "/translations/qtbase_ar.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_bg.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_ca.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_cs.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_da.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_de.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_en.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_es.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_fi.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_fr.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_gd.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_he.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_hu.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_it.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_ja.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_ko.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_lv.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_pl.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_ru.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_sk.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_uk.qm",
                    "./" + DISTRO_DIR + "/translations/qtbase_zh_TW.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_bg.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_da.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_de.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_en.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_es.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_fi.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_fr.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_hu.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_ja.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_ko.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_lv.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_pl.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_ru.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_sk.qm",
                    "./" + DISTRO_DIR + "/translations/qtdeclarative_uk.qm"
                });
#endif

    return tree;
}

QSet<QString> Modules::qtWithoutTr() {
    TestUtils utils;

    auto Tree = utils.createTree(
    {
                    "./" + DISTRO_DIR + "/QtWidgetsProject.sh",
                    "./" + DISTRO_DIR + "/bin/QtWidgetsProject",
                    "./" + DISTRO_DIR + "/lib/libQt5Core.so",
                    "./" + DISTRO_DIR + "/lib/libQt5DBus.so",
                    "./" + DISTRO_DIR + "/lib/libQt5EglFSDeviceIntegration.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Gui.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Network.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Qml.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Quick.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Svg.so",
                    "./" + DISTRO_DIR + "/lib/libQt5VirtualKeyboard.so",
                    "./" + DISTRO_DIR + "/lib/libQt5WaylandClient.so",
                    "./" + DISTRO_DIR + "/lib/libQt5WaylandCompositor.so",
                    "./" + DISTRO_DIR + "/lib/libQt5WebSockets.so",
                    "./" + DISTRO_DIR + "/lib/libQt5Widgets.so",
                    "./" + DISTRO_DIR + "/lib/libQt5XcbQpa.so",
                    "./" + DISTRO_DIR + "/lib/libicudata.so",
                    "./" + DISTRO_DIR + "/lib/libicui18n.so",
                    "./" + DISTRO_DIR + "/lib/libicuuc.so",
                    "./" + DISTRO_DIR + "/plugins/iconengines/libqsvgicon.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqgif.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqicns.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqico.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqjpeg.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqsvg.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqtga.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqtiff.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqwbmp.so",
                    "./" + DISTRO_DIR + "/plugins/imageformats/libqwebp.so",
                    "./" + DISTRO_DIR + "/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so",
                    "./" + DISTRO_DIR + "/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so",
                    "./" + DISTRO_DIR + "/plugins/platforminputcontexts/libqtvirtualkeyboardplugin.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqeglfs.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqlinuxfb.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqminimal.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqminimalegl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqoffscreen.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqvnc.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-egl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-generic.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-xcomposite-egl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwayland-xcomposite-glx.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqwebgl.so",
                    "./" + DISTRO_DIR + "/plugins/platforms/libqxcb.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_hangul.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_openwnn.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_pinyin.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_tcime.so",
                    "./" + DISTRO_DIR + "/plugins/virtualkeyboard/libqtvirtualkeyboard_thai.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-decoration-client/libbradient.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libdmabuf-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libdrm-egl-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libqt-plugin-wayland-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libshm-emulation-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libxcomposite-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-client/libxcomposite-glx.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libdmabuf-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libdrm-egl-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/liblinux-dmabuf-unstable-v1.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libqt-plugin-wayland-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libshm-emulation-server.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libwayland-eglstream-controller.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libxcomposite-egl.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-graphics-integration-server/libxcomposite-glx.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libfullscreen-shell-v1.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libivi-shell.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libwl-shell.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libxdg-shell-v5.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libxdg-shell-v6.so",
                    "./" + DISTRO_DIR + "/plugins/wayland-shell-integration/libxdg-shell.so",
                    "./" + DISTRO_DIR + "/plugins/xcbglintegrations/libqxcb-egl-integration.so",
                    "./" + DISTRO_DIR + "/plugins/xcbglintegrations/libqxcb-glx-integration.so"
                }
                );

    return Tree;
}
